<style scoped="">
.road_map_ct{
  padding-top: 110px;
  padding-bottom: 90px;
  position: relative;
}
.road_map_ct .comm_width{
  position: relative;
}

.road_map_title{
  font-size: 36px;
  line-height: 1;
  color: #353556;
  text-align: center;
  padding-bottom: 60px;
}
@media (max-width: 800px) {
  .road_map_title{
    font-size: 20px;
    line-height: 1;
    padding-bottom: 30px;
    padding-top: 30px;
  }
  .road_map_ct{
    padding-top: 0px;
  }
  .pre_icon{
    display: none;
  }
}
</style>
<template>
  <div class="road_map_ct">
    <div class="comm_width">
    
      <h2 class="road_map_title">
        {{ lang.data['Roadmap'] }}
      </h2>
      <road_map_slider v-bind:data="data"></road_map_slider>
      
    </div>
  </div>
</template>
<script>
import { wait_time as wait_time } from './utils'
import road_map_slider from '../components/road_map_slider.vue'
import { get_lang_data_by_key, set_lang } from '@/data/langs/index.js'
let lang = get_lang_data_by_key('en');

export default {
  beforeCreate () {
    lang = get_lang_data_by_key(this.$route.params.lang || 'cn');
  },
  data () {
    return {
      lang,
      is_in_hover: false,
      focus_index: 0,
      data: [
        {
          text: lang.data['*2019 Q4 Support isomorphic L2 parallel computing chain; Realize the light-verification node'],
          title: '2019 Q4'
        },
        {
          text: lang.data['*2020 Q2 The L2 computing chain supports heterogeneous chains and the HASH verification of critical chain states'],
          title: '2020 Q2'
        },
        {
          text: lang.data['*2020 Q3 Realize the multi-process of the chain nodes; Support universal chain IO functions; Achieve two-way interoperability between the computing chain and the settlement chain'],
          title: '2020 Q3'
        },
        {
          text: lang.data['*2020 Q4 Realize the block composite verification based on other mechanism; Support multiple virtual machine systems; Improve the developer experience'],
          title: '2020 Q4'
        },
        {
          text: lang.data['*2021 Q2 Improve the computing chain with basic functions; Add basic services of IPFS storage and inter-chain notification queue via L2 computing chain'],
          title: '2021 Q2'
        },
      ]
    }
  },

  mounted () {
    // this.auto_start();
  },

  methods: {
  },

  components: {
    road_map_slider
  },

  destroyed () {

  }
}
</script>
